Skip to main content
POST
https://{tenantDomain}/api/v2
/
flows
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Flows.CreateAsync(
            new CreateFlowRequestContent {
                Name = "name"
            }
        );
    }

}
{
  "id": "<string>",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "actions": [
    {
      "id": "<string>",
      "type": "ACTIVECAMPAIGN",
      "action": "LIST_CONTACTS",
      "params": {
        "connection_id": "<string>",
        "email": "<string>"
      },
      "alias": "<string>",
      "allow_failure": true,
      "mask_output": true
    }
  ],
  "executed_at": "2023-12-25"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

name
string
required
Required string length: 1 - 150
actions
object[]

Response

Flow successfully created.

id
string<flow-id>
required
Maximum string length: 30
name
string
required
Required string length: 1 - 150
created_at
string<date-time>
required
updated_at
string<date-time>
required
actions
object[]
executed_at
string<date>